import { PipeTransform } from '@nestjs/common';
import { Repository } from 'typeorm';
import AjvCall, { ValidateFunction } from 'ajv';
import { Entity, PipeMixin, QuerySchemaTypes } from '../../../types';
export declare class QuerySchemaPipe implements PipeTransform {
    protected repository: Repository<Entity>;
    protected ajvCall: AjvCall;
    protected validateFunction: ValidateFunction<QuerySchemaTypes>;
    static inject(pip: PipeMixin): void;
    constructor(repository: Repository<Entity>, ajvCall: AjvCall);
    private getErrorMsg;
    transform(value: unknown): Promise<QuerySchemaTypes>;
}
